al_get_display_flags(3)

NAME

al_get_display_flags - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_display_flags(ALLEGRO_DISPLAY *display)

DESCRIPTION

Gets the flags of the display.

In addition to the flags set for the display at creation time with al_set_new_display_flags(3) it can also have the ALLEGRO_MINIMIZED flag set, indicating that the window is currently minimized. This flag is very platform-dependent as even a minimized application may still render a preview version so normally you should not care whether it is minimized or not.

SEE ALSO

al_set_new_display_flags(3), al_set_display_flag(3)